Bug 1549841 (CVE-2018-7548)

Summary: CVE-2018-7548 zsh: null-pointer deref when using ${(PA)...} on an empty array result
Product: [Other] Security Response Reporter: Laura Pardo <lpardo>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED NOTABUG QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: dmaphy, james.antill, j, kdudka, svashisht
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: zsh 5.5 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-06-08 03:41:51 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1549842, 1549843    
Bug Blocks: 1549839    

Description Laura Pardo 2018-02-27 21:18:08 UTC
A flaw was found in zsh prior 5.4.2. There is a null-pointer deref when using ${(PA)...} on an empty array result.


References:
https://sourceforge.net/p/zsh/code/ci/110b13e1090bc31ac1352b28adc2d02b6d25a102

Comment 1 Laura Pardo 2018-02-27 21:18:50 UTC
Created zsh tracking bugs for this issue:

Affects: fedora-all [bug 1549842]

Comment 3 Kamil Dudka 2018-03-06 14:02:20 UTC
(In reply to Laura Pardo from comment #0)
> A flaw was found in zsh prior 5.4.2

The commit you refer to landed _after_ the 5.4.2 release of zsh and it has not been included in any stable release of zsh yet.